IPhrase

data

## Class IPhrase

- java.lang.Object
- - data.IPhrase

- All Implemented Interfaces:
    BasicDataElement

      public class IPhrase
      extends java.lang.Object
      implements BasicDataElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `mute`
    `private java.lang.String` | `name`
    `private java.util.ArrayList<INote>` | `notes`
    `private IPart` | `parent`
    `private IHanson` | `postHanson`
    `private IHanson` | `preHanson`
    `private double` | `startTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPhrase(java.lang.String _name, double _startTime)`
    `IPhrase(java.lang.String _name, double _startTime, jm.music.data.Phrase phrase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHansonRepresentation(IHanson[] iHanson)`
    `void` | `addINote(INote note)`
    `void` | `appendPhrase(IPhrase iPhrase)`
    `INote` | `getINote(int i)`
    `java.util.ArrayList<INote>` | `getINotes()`
    `jm.music.data.Score` | `getMusicStructure()`
    `java.lang.String` | `getName()`
    `IPart` | `getParent()`
    `jm.music.data.Phrase` | `getPhrase()`
    `jm.music.data.Phrase` | `getPhraseWithNotes()`
    `double` | `getPostHansonValue(int i)`
    `IHanson` | `getPostHansonValues()`
    `double` | `getPreHansonValue(int i)`
    `IHanson` | `getPreHansonValues()`
    `double` | `getStartTime()`
    `IPhrase` | `normalize()`
    `void` | `removeNote(int index)`
    `void` | `setMute(boolean mute)`
    `void` | `setParent(IPart iPart)`
    `void` | `updateName(int id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### startTime

          private double startTime

    - #### notes

          private java.util.ArrayList<INote> notes

    - #### parent

          private IPart parent

    - #### postHanson

          private IHanson postHanson

    - #### preHanson

          private IHanson preHanson

    - #### mute

          private boolean mute

  - ### Constructor Detail

    - #### IPhrase

          public IPhrase(java.lang.String _name,
                 double _startTime)

    - #### IPhrase

          public IPhrase(java.lang.String _name,
                 double _startTime,
                 jm.music.data.Phrase phrase)

  - ### Method Detail

    - #### setMute

          public void setMute(boolean mute)

    - #### getParent

          public IPart getParent()

    - #### setParent

          public void setParent(IPart iPart)

    - #### updateName

          public void updateName(int id)

    - #### getName

          public java.lang.String getName()

    - #### getStartTime

          public double getStartTime()

    - #### addINote

          public void addINote(INote note)

    - #### appendPhrase

          public void appendPhrase(IPhrase iPhrase)

    - #### getINote

          public INote getINote(int i)

    - #### getINotes

          public java.util.ArrayList<INote> getINotes()

    - #### removeNote

          public void removeNote(int index)

    - #### getPhrase

          public jm.music.data.Phrase getPhrase()

    - #### getPhraseWithNotes

          public jm.music.data.Phrase getPhraseWithNotes()

    - #### addHansonRepresentation

          public void addHansonRepresentation(IHanson[] iHanson)

    - #### getPostHansonValue

          public double getPostHansonValue(int i)

    - #### getPostHansonValues

          public IHanson getPostHansonValues()

    - #### getPreHansonValue

          public double getPreHansonValue(int i)

    - #### getPreHansonValues

          public IHanson getPreHansonValues()

    - #### normalize

          public IPhrase normalize()

    - #### getMusicStructure

          public jm.music.data.Score getMusicStructure()

      Specified by:
        `getMusicStructure` in interface `BasicDataElement`